<?php
/**
 * @file
 * Deep link - Allow direct access to a specific item of content under certain circumstances.
 */

/**
 * Implementation of hook_perm().
 */
function _deeplink_perm() {
  $perms = array();
  foreach (controls_get('deeplinkers') as $name => $deeplinker) {
    $perms[] = t(DEEPLINK_PERM_TEXT, array('!dlink' => $deeplinker['title']));
  }
  return $perms;
}

/**
 * Implementation of hook_menu().
 */
function _deeplink_menu() {
  return array(
    'deeplink/%deeplink' => array(
      'title callback' => 'deeplink_title',
      'title arguments' => array(1),
      'page callback' => 'deeplink',
      'page arguments' => array(1),
      'access callback' => 'deeplink_access',
      'access arguments' => array(1),
      'file' => 'deeplink.pages.inc',
      'type' => MENU_CALLBACK,
    ),
    'admin/settings/deeplink' => array(
      'title' => 'Deeplinks',
      'description' => 'Set-up the various configuration settings for the Deeplink module.',
      'page callback' => 'drupal_get_form',
      'page arguments' => array('deeplink_settings'),
      'access arguments' => array('administer site configuration'),
      'file' => 'deeplink.admin.inc',
      'type' => MENU_NORMAL_ITEM,
    ),
  );
}

/**
 * Implementation of hook_theme().
 */
function _deeplink_theme() {
  return array(
    'deeplink' => array(
      'arguments' => array('deeplink' => NULL, 'style' => 'short'),
      'file' => 'deeplink.themes.inc',
    ),
  );
}
